Bug 26149 - Remove jquery.checkboxes plugin from problem reports page
Summary: Remove jquery.checkboxes plugin from problem reports page
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 26006
  Show dependency treegraph
 
Reported: 2020-08-05 16:05 UTC by Owen Leonard
Modified: 2020-09-10 03:43 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.04


Attachments
Bug 26149: Remove jquery.checkboxes plugin from problem reports page (1.29 KB, patch)
2020-08-05 16:39 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26194: Add link to cash register management from message about missing registers (8.09 KB, patch)
2020-08-12 15:09 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 26194: (follow-up) Default to current branch (1.90 KB, patch)
2020-08-12 15:09 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 26149: Remove jquery.checkboxes plugin from problem reports page (1.35 KB, patch)
2020-08-12 15:11 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 26149: Remove jquery.checkboxes plugin from problem reports page (1.41 KB, patch)
2020-08-15 07:44 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-08-05 16:05:55 UTC
The OPAC problem reports page in the staff interface includes the jquery.checkboxes plugin but doesn't use it. It can be removed without any JS code changes.
Comment 1 Owen Leonard 2020-08-05 16:39:30 UTC
Created attachment 107849 [details] [review]
Bug 26149: Remove jquery.checkboxes plugin from problem reports page

This patch removes the inclusion of the jquery.checkboxes plugin from
the problem reports template in the staff interface.

To test, apply the patch and make sure the OPACReportProblem system
preference is enabled.

 - Submit a few OPAC problem reports if necessary
 - Go to Tools -> OPAC problem reports
 - Test that the "Select all" and "Clear all" controls at the top of the
   table work correctly.
Comment 2 Martin Renvoize 2020-08-12 15:09:11 UTC
Created attachment 108125 [details] [review]
Bug 26194: Add link to cash register management from message about missing registers

In places where the interface warns the user about missing cash
registers we should provide users with permission a direct link to the
cash register management page.

To test, apply the patch and enable the UseCashRegisters and
EnablePointOfSale preferences.

If necessary, go to Administration -> Cash registers and remove any cash
registers for your library.

 - Log in to the staff interface as a user with "manage_cash_registers"
   permission.
 - Locate a patron who has outstanding fines.
 - Under Accounting -> Make a payment, click the "Pay" button next to a
   fine.
 - The page should show the message about missing cash registers with a
   button which take you directly to the "Add new cash register" form.
 - Perform the same check by selecting the checkbox next to a fine and
   clicking the "Pay amount" button and the "Pay selected" button.
 - Test the message shown at:
   - Tools -> Cashup registers.
   - Point of sale -> Register details
   - Point of sale -> Library details
 - Perform the same tests when logged in as a user without permission to
   manage cash registers. The messages shown in the previous steps
   should omit the button linking to cash register management.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 3 Martin Renvoize 2020-08-12 15:09:14 UTC
Created attachment 108126 [details] [review]
Bug 26194: (follow-up) Default to current branch

When adding a new register, it would be helpful to default to the
current logged in branch.
Comment 4 Martin Renvoize 2020-08-12 15:10:45 UTC
Bug number typo.
Comment 5 Martin Renvoize 2020-08-12 15:11:49 UTC
Created attachment 108129 [details] [review]
Bug 26149: Remove jquery.checkboxes plugin from problem reports page

This patch removes the inclusion of the jquery.checkboxes plugin from
the problem reports template in the staff interface.

To test, apply the patch and make sure the OPACReportProblem system
preference is enabled.

 - Submit a few OPAC problem reports if necessary
 - Go to Tools -> OPAC problem reports
 - Test that the "Select all" and "Clear all" controls at the top of the
   table work correctly.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 6 Martin Renvoize 2020-08-12 15:12:05 UTC
No regressions.. Signing off.
Comment 7 Katrin Fischer 2020-08-15 07:44:42 UTC
Created attachment 108312 [details] [review]
Bug 26149: Remove jquery.checkboxes plugin from problem reports page

This patch removes the inclusion of the jquery.checkboxes plugin from
the problem reports template in the staff interface.

To test, apply the patch and make sure the OPACReportProblem system
preference is enabled.

 - Submit a few OPAC problem reports if necessary
 - Go to Tools -> OPAC problem reports
 - Test that the "Select all" and "Clear all" controls at the top of the
   table work correctly.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Jonathan Druart 2020-08-18 15:47:38 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 9 Lucas Gass 2020-09-04 15:21:14 UTC
backported to 20.05.x for 20.05.04
Comment 10 Aleisha Amohia 2020-09-10 03:43:23 UTC
enhancement, not backported to 19.11.x